Subject: [Xen-devel] xen,arm: enable cpu_hotplug

From: [email-masked] (Julien Grall)
Date: Fri, 16 Oct 2015 16:45:55 +0100

On 16/10/15 16:41, Stefano Stabellini wrote:
> It is possible to shut down cpu1 (psci->cpu_off, which pauses the vcpu)
> but it is not possible to remove cpu1 without removing cpu2 first.
> 
> If the user configures the target to be cpu 2-4, then shuts down cpu2, it
> won't receive any interrupts any more. This is not a cpu-hotplug bug.
> Maybe is a do_psci_cpu_off bug, which should be improved to handle this
> case.

It's neither a PSCI cpu off bug. It's a bug in our vGIC implementation.

Regards,

-- 
Julien Grall